package com.uas.report.axis.scheduling;

import com.uas.report.util.ContextUtils;

public class ReportSchedulerManagement {

	private ReportSchedulerManagementService reportSchedulerManagementService = ContextUtils
			.getBean(ReportSchedulerManagementService.class);

	public Job getJob(long id) {
		return reportSchedulerManagementService.getJob(id);
	}

	public Job scheduleJob(Job job) {
		return reportSchedulerManagementService.scheduleJob(job);
	}

	public Job updateJob(Job job) {
		return reportSchedulerManagementService.updateJob(job);
	}

	public void deleteJob(long id) {
		reportSchedulerManagementService.deleteJob(id);
	}

	public void deleteJobs(long[] ids) {
		reportSchedulerManagementService.deleteJobs(ids);
	}

	public JobSummary[] getAllJobs() {
		return reportSchedulerManagementService.getAllJobs();
	}

	public JobSummary[] getReportJobs(String reportURI) {
		return reportSchedulerManagementService.getReportJobs(reportURI);
	}
}
